Skip to main content
PUT
Fill in profile details for a represented athlete

Authorizations

Authorization
string
header
required

JWT Bearer token authentication. Use the /api/login endpoint to obtain a token.

Path Parameters

athleteId
integer
required

Athlete user id. Must be on the authenticated agent's roster.

Example:

28550

Body

application/json
first_name
string
Maximum string length: 100
Example:

"Ayden"

last_name
string
Maximum string length: 100
Example:

"Syal"

contact_number
string | null

Rejected when another live user already has it.

Maximum string length: 20
Example:

"4155551809"

jersey_no
string | null
Maximum string length: 10
Example:

"15"

dob
string<date> | null
Example:

"1998-04-29"

location
string | null

The Hometown field.

Maximum string length: 255
Example:

"Berkeley, CA, USA"

is_private
enum<string> | null
Available options:
Y,
N
Example:

"N"

sport_category_id
integer | null

Must exist in sports_categories.

Example:

12

bio
string | null
Maximum string length: 5000
Example:

"Junior wide receiver."

highlights
string | null

The Career Highlights field.

Maximum string length: 5000
Example:

"All-American NCAA D1AA 2023"

university_id
integer | null

Must exist in colleges.

Example:

340

height
number | null

Total inches.

Example:

70

weight
number | null

Pounds.

Example:

200

skills
string | null
Maximum string length: 1000
Example:

"Cooking, Acting, Public Speaking"

hat_size
string | null
Maximum string length: 50
Example:

"7 1/2"

shirt_size
string | null
Maximum string length: 50
Example:

"XL"

pants_size
string | null
Maximum string length: 50
Example:

"34"

shoes_size
string | null
Maximum string length: 50
Example:

"11.5"

expected_graduation_date
string | null
Maximum string length: 50
Example:

"2027"

gender
string | null
Maximum string length: 50
Example:

"Male"

us_citizen
enum<string> | null
Available options:
Y,
N
Example:

"Y"

Response

Profile updated

message
string
Example:

"Athlete profile updated."

data
object